Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata.util
Class DataSwitch<T>

    java.lang.Object
      org.eclipse.amp.amf.adata.util.DataSwitch<T>

    public class DataSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `DataPackage`

Field Summary
`protected static DataPackage` | `modelPackage` The cached model package

Constructor Summary
`DataSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseCatalog(Catalog object)` Returns the result of interpreting the object as an instance of 'Catalog'.
`T` | `caseDataPoint(DataPoint object)` Returns the result of interpreting the object as an instance of 'Point'.
`T` | `caseMeasurement(Measurement object)` Returns the result of interpreting the object as an instance of 'Measurement'.
`T` | `caseParameter(Parameter object)` Returns the result of interpreting the object as an instance of 'Parameter'.
`T` | `caseParameterSet(ParameterSet object)` Returns the result of interpreting the object as an instance of 'Parameter Set'.
`T` | `caseRun(Run object)` Returns the result of interpreting the object as an instance of 'Run'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static DataPackage modelPackage

  The cached model package

Constructor Detail

### DataSwitch

    public DataSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseRun

    public T caseRun(Run object)

  Returns the result of interpreting the object as an instance of 'Run'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Run'.
  See Also:
    `doSwitch(EObject)`

### caseParameter

    public T caseParameter(Parameter object)

  Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseDataPoint

    public T caseDataPoint(DataPoint object)

  Returns the result of interpreting the object as an instance of 'Point'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Point'.
  See Also:
    `doSwitch(EObject)`

### caseCatalog

    public T caseCatalog(Catalog object)

  Returns the result of interpreting the object as an instance of 'Catalog'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Catalog'.
  See Also:
    `doSwitch(EObject)`

### caseMeasurement

    public T caseMeasurement(Measurement object)

  Returns the result of interpreting the object as an instance of 'Measurement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Measurement'.
  See Also:
    `doSwitch(EObject)`

### caseParameterSet

    public T caseParameterSet(ParameterSet object)

  Returns the result of interpreting the object as an instance of 'Parameter Set'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter Set'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD